import type { EsbuildPluginOptions } from 'esbuild-loader'
import type { MinifyOptions } from 'terser'
import type { LiteralUnion } from '../../utility-types'
import type { ConfigurablePlugin } from '../common'

export type JSMinimizer = LiteralUnion<'terser' | 'esbuild'>

export type TerserMinimizer = ConfigurablePlugin<MinifyOptions>

export interface EsbuildMinimizer {
  /**
   * 配置 `ESBuildMinifyPlugin`
   */
  minify?: ConfigurablePlugin<EsbuildPluginOptions>
}
